# Function shimArtifacts

- shimArtifacts(artifacts, files?, shimmedCompilationId?): Compilation[]

- wrapper around shimContracts that just returns the result in a one-element array (keeping the old name shimArtifacts for compatibility)

  #### Parameters

  - ##### artifacts: (ContractObject | CompiledContract)[]

  - ##### `Optional` files: string[]

  - ##### shimmedCompilationId: string = "shimmedcompilation"

  #### Returns Compilation[]

  - Defined in codec/lib/compilations/utils.ts:58

Generated using TypeDoc